#include <iostream>
#include <cmath>

using namespace std;

int main(){
    long long a,b,c;
    cin>>a>>b>>c;
    long long a1,b1,c1;
    int an,bn,cn;
    a1=a;
    b1=b;
    c1=c;
    an=0;
    while(a1>0){
        an++;
        a1=a1/10;
    }
    bn=0;
    while(b1>0){
        bn++;
        b1=b1/10;
    }
    cn=0;
    while(c1>0){
        cn++;
        c1=c1/10;
    }
    long long r[6];
    r[0]=a+b*pow(10,an)+c*pow(10,an+bn);
    r[1]=a+c*pow(10,an)+b*pow(10,an+cn);
    r[2]=b+a*pow(10,bn)+c*pow(10,an+bn);
    r[3]=b+c*pow(10,bn)+a*pow(10,cn+bn);
    r[4]=c+a*pow(10,cn)+b*pow(10,an+cn);
    r[5]=c+b*pow(10,cn)+a*pow(10,cn+bn);
    long long m;
    m=0;
    for(int i=0;i<6;i++){
        if(r[i]>m){
            m=r[i];
        }
    }
    cout<<m;

    return 0;
}